#######################################################################
# DVDx 4 GUI based on Qt4.
#
# Copyright (C) 2010 Starbuck<starbuck@labdv.com>
#######################################################################

TEMPLATE = lib
QT += network

CONFIG += staticlib create_prl
TARGET = gui4

# Paths
DEPENDPATH += .
INCLUDEPATH += . ../../tools/buildnumber

RESOURCES += ../../src/gui4/gui4.qrc

CONFIG( debug, debug|release) {

	# debug
	CONFIG -= release

	win32 {
		gui4.depends = buildnumberhook
		buildnumber.commands = ..\..\tools\win32\buildnumber.exe
		# Hook as a pre-pre build
		buildnumberhook.depends = buildnumber
		buildnumber.target = Makefile.Debug
		QMAKE_EXTRA_TARGETS += buildnumber buildnumberhook

		INCLUDEPATH += ../../ext/include
		INCLUDEPATH += ../../msvc/ext

		DESTDIR = ../../build/win32/debug/lib
		OBJECTS_DIR = ../../tmp/win32/debug/gui4/obj
		UI_DIR = ../../tmp/win32/debug/gui4/ui
		MOC_DIR = ../../tmp/win32/debug/gui4/moc
		RCC_DIR = ../../tmp/win32/debug/gui4/rcc
	}

	unix: !macx {
		DESTDIR = ../../build/unix/debug/lib
		OBJECTS_DIR = ../../tmp/unix/debug/gui4/obj
		UI_DIR = ../../tmp/unix/debug/gui4/ui
		MOC_DIR = ../../tmp/unix/debug/gui4/moc
		RCC_DIR = ../../tmp/unix/debug/gui4/rcc
	}

	macx {
		DESTDIR = ../../build/macx/debug/lib
		OBJECTS_DIR = ../../tmp/macx/debug/gui4/obj
		UI_DIR = ../../tmp/macx/debug/gui4/ui
		MOC_DIR = ../../tmp/macx/debug/gui4/moc
		RCC_DIR = ../../tmp/macx/debug/gui4/rcc
	}

} else {

	# release
	CONFIG -= debug

	win32 {
		gui4.depends = buildnumberhook
		buildnumber.commands = ..\..\tools\win32\buildnumber.exe
		# Hook as a pre-pre build
		buildnumberhook.depends = buildnumber
		buildnumberhook.target = Makefile.Release
		QMAKE_EXTRA_TARGETS += buildnumber buildnumberhook

		INCLUDEPATH += ../../ext/include
		INCLUDEPATH += ../../msvc/ext

		DESTDIR = ../../build/win32/release/lib
		OBJECTS_DIR = ../../tmp/win32/release/gui4/obj
		UI_DIR = ../../tmp/win32/release/gui4/ui
		MOC_DIR = ../../tmp/win32/release/gui4/moc
		RCC_DIR = ../../tmp/win32/release/gui4/rcc
	}

	unix: !macx {
		DESTDIR = ../../build/unix/release/lib
		OBJECTS_DIR = ../../tmp/unix/release/gui4/obj
		UI_DIR = ../../tmp/unix/release/gui4/ui
		MOC_DIR = ../../tmp/unix/release/gui4/moc
		RCC_DIR = ../../tmp/unix/release/gui4/rcc
	}

	macx {
		DESTDIR = ../../build/macx/release/lib
		OBJECTS_DIR = ../../tmp/macx/release/gui4/obj
		UI_DIR = ../../tmp/macx/release/gui4/ui
		MOC_DIR = ../../tmp/macx/release/gui4/moc
		RCC_DIR = ../../tmp/macx/release/gui4/rcc
	}

}

#######################################################################
# Input
include( gui4.input.pro )
HEADERS += ../../tools/buildnumber/buildnumbermacx.h
